(use lazy-ffi srfi-4)

(cond-expand
 (mingw32 #~"msvcrt")
 (macosx #~"libc.dylib")
 (else #~"libc.so.6"))

(#~printf "%d -> %g, ok: %s\n" 123 45.67 "hello")

(print "sleeping...")
(#~sleep 1)

(cond-expand
 (macosx #~"libm.dylib")
 ((not mingw32) #~"libm.so.6")
 (else))

(print (#~sin 33.4 return: double:))    ;==> 0.915809602890819
(print (#~tolower #\A return: char:))   ;==> #\a

(let* ([box (f64vector 0)]
       [r (#~modf 123.456 box return: double:)] )
  (pp (list r box) ) );   ==> (0.456 #f64(123.0))
